Bug 11341 - 'FileSelect' should be mapped to 'file_select'
Summary: 'FileSelect' should be mapped to 'file_select'
Status: RESOLVED FIXED
Alias: None
Product: poppler
Classification: Unclassified
Component: glib frontend (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: poppler-bugs
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-06-22 21:38 UTC by Kouhei Sutou
Modified: 2007-07-02 06:40 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
fileselect -> file_select (1.33 KB, patch)
2007-06-22 21:40 UTC, Kouhei Sutou
Details | Splinter Review
FILESLECT -> FILE_SELECT (including a typo fix) (1.19 KB, patch)
2007-07-02 03:53 UTC, Kouhei Sutou
Details | Splinter Review
#10552 + test-poppler-glib.c (1.95 KB, patch)
2007-07-02 03:56 UTC, Kouhei Sutou
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kouhei Sutou 2007-06-22 21:38:34 UTC
PopplerTextField has a member that is named 'fileselect'. This member is mapped FormWidgetText->isFileSelect().

Other member names (e.g. isRichText()) are mapped to camel_case from CamelCase.
'fileselect' name should be followed the convention for clean API.
Comment 1 Kouhei Sutou 2007-06-22 21:40:12 UTC
Created attachment 10406 [details] [review]
fileselect -> file_select
Comment 2 Carlos Garcia Campos 2007-07-01 02:04:33 UTC
This bug is not valid for current code. Closing as INVALID. 

Thank you very much for the patch. 
Comment 3 Kouhei Sutou 2007-07-02 03:52:16 UTC
No. This problem still remains in the current code:
  POPPLER_FORM_TEXT_FILESELCT

And this is a typo too.
Comment 4 Kouhei Sutou 2007-07-02 03:53:35 UTC
Created attachment 10552 [details] [review]
FILESLECT -> FILE_SELECT (including a typo fix)
Comment 5 Kouhei Sutou 2007-07-02 03:56:39 UTC
Created attachment 10553 [details] [review]
#10552 + test-poppler-glib.c
Comment 6 Carlos Garcia Campos 2007-07-02 06:40:56 UTC
hmm, you are right, and there is a typo too :-P I've just applied your patch. Thank you very much. 


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.